Bug 126137 - CRASH: clicking on table
Summary: CRASH: clicking on table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.1.0.0.beta1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: bibisected, bisected, haveBacktrace, needUITest, regression
Depends on:
Blocks: AW080-Regressions
  Show dependency treegraph
 
Reported: 2019-06-27 15:10 UTC by Xisco Faulí
Modified: 2019-07-01 16:03 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["OutlinerParaObject::OutlinerParaObject(OutlinerParaObject%20const%20&)"]


Attachments
bt Windows (windbg) (50.84 KB, text/plain)
2019-06-27 15:30 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-06-27 15:10:03 UTC
Steps to reproduce it:
1. Open attachment 143077 [details] from bug 118354
2. Double click on the table -> The cursor is displayed
3. Click somewhere outside the table
4. Click on the table again

-> Crash

Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: a294457eb95e60028539b6783abac78b56561fe2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-06-27 15:13:02 UTC
Most likely a regression from

author	Armin Le Grand <Armin.Le.Grand@cib.de (CIB)>	2018-03-01 15:54:32 +0100
committer	Armin Le Grand <Armin.Le.Grand@cib.de>	2018-04-07 00:28:30 +0200
commit	dfefe448c41921f2f1e54d3f69b8b9e89031d055 (patch)
tree	1aace31054b5740e2faffcbc5de66a791be27f7d
parent	eba4d5b2b76cefde90cb3d6638c736f435023a45 (diff)
SOSAW080: Added first bunch of basic changes to helpers

Bisected with: bibisect-linux64-6.1

Adding Cc: to Armin Le Grand
Comment 2 Julien Nabet 2019-06-27 15:30:45 UTC
Created attachment 152448 [details]
bt Windows (windbg)

On Win10 with master sources updated today, I could reproduce this.
Comment 3 Xisco Faulí 2019-06-27 15:33:22 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/74811/
Comment 4 Commit Notification 2019-06-27 19:08:05 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b653f21313f3b8ff9da99897e3a0c2df4a685b60%5E%21

tdf#126137: Do not dereference non-existing Object

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-06-28 08:44:17 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/7903b2c1733c2ebb9f1059eb9d191befd1d36baf%5E%21

tdf#126137: Do not dereference non-existing Object

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-06-28 10:39:03 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/7ac1a9f5b0903af5d7ef1e14aa49f9b7ed3fda48%5E%21

tdf#126137: Do not dereference non-existing Object

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.